Skip to content

Get file properties

Request

Returns the properties of a specific envelope file, including the assigned document class and its metadata values. Does not include the file content.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

envelopeIdstring, (uuid)required

Unique identifier of the envelope

fileIdstring, (uuid)required

Unique identifier of the file

GET
/api/v1/organizations/{organizationId}/envelopes/{envelopeId}/files/{fileId}
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/envelopes/{envelopeId}/files/{fileId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
documentClassobject(EnvelopeFileDocumentClassResponse)

Response containing the document class assigned to an envelope file.

restrictedVisibilityRecipientIdsArray of strings or null, (uuid)

The IDs of recipients with restricted visibility to this file, or null if not set.

Response
{ "documentClass": { "id": "3982311f-cec1-42b8-8799-6c304aa098ea", "name": "Contract", "metadata": [ … ] }, "restrictedVisibilityRecipientIds": [ "9cb9ee46-7932-440f-987f-3bf9e8174699", "bfb6d84c-50fd-4b9a-a17a-a6b7fcbcce47" ] }